# The Tectonic Typesetting System

[Overview](index.md)

- [Introduction](introduction/index.md)
- [Getting Started](getting-started/index.md)
  - [Install Tectonic](getting-started/install.md)
  - [Build Your First Document](getting-started/first-document.md)
  - [Use a Unicode Font](getting-started/unicode.md)
- [The Tectonic Implementation of the TeX Language](lang-impl/index.md)

# “V2” Command-Line Interface

- [`tectonic -X build`](v2cli/build.md)
- [`tectonic -X bundle`](v2cli/bundle.md)
- [`tectonic -X compile`](v2cli/compile.md)
- [`tectonic -X dump`](v2cli/dump.md)
- [`tectonic -X new`](v2cli/new.md)
- [`tectonic -X show`](v2cli/show.md)
- [`tectonic -X watch`](v2cli/watch.md)

# Concept Reference

- [Documents](ref/documents.md)
- [The `Tectonic.toml` File](ref/tectonic-toml.md)
- [“V1” Command-Line Interface](ref/v1cli.md)
- [“V2” Command-Line Interface](ref/v2cli.md)
- [Workspaces](ref/workspaces.md)

# How-To Guides

- [Installing Tectonic](installation/index.md)
- [Building Tectonic](howto/build-tectonic/index.md)
  - [Install Dependencies Externally](howto/build-tectonic/external-dep-install.md)
  - [Install Dependencies With cargo-vcpkg](howto/build-tectonic/cargo-vcpkg-dep-install.md)
